--- a/configure.ac	2020-12-26 17:44:01.616731241 +0100
+++ b/configure.ac	2021-05-09 21:57:37.000000000 +0000
@@ -8,8 +8,6 @@
 AC_CONFIG_AUX_DIR([config])
 AC_CONFIG_FILES([Makefile])

-CFLAGS="-O2 -Wall"
-
 # wavemon is only supported on Linux, warn user about futile compilations
 AC_CANONICAL_HOST
 case "$host_os" in
@@ -22,6 +22,8 @@
 AC_PROG_CPP
 AC_PROG_INSTALL
 
+PKG_PROG_PKG_CONFIG()
+
 # Checks for header files.
 AC_HEADER_STDC
 AC_HEADER_TIME
@@ -54,8 +54,8 @@
 # Tests involving libraries
 AC_CHECK_LIB([m], [pow], [],              [AC_MSG_ERROR(math library not found)])
 AC_CHECK_LIB([ncursesw], [waddstr],
-	     [],
-	     [AC_CHECK_LIB([ncurses], [waddstr], [], [AC_MSG_ERROR(ncurses library not found)])])
+	     [PKG_CHECK_MODULES([ncursesw], [ncursesw], [LIBS="$LIBS $ncursesw_LIBS"], [])],
+	     [AC_CHECK_LIB([ncurses], [waddstr], [PKG_CHECK_MODULES([ncurses], [ncurses], [LIBS="$LIBS $ncurses_LIBS"], [])], [AC_MSG_ERROR(ncurses library not found)])])
 AC_CHECK_LIB([pthread], [pthread_create], [CFLAGS="$CFLAGS -pthread"],
 					  [AC_MSG_ERROR(pthread library not found)])
 
--- a/Makefile.in	2017-07-14 21:35:18.154423280 +0300
+++ b/Makefile.in	2017-07-14 21:35:34.613402738 +0300
@@ -9,7 +9,7 @@
 install-suid-root: exec_perms = 4755
 
 CC	 ?= @CC@
-CFLAGS	 ?= @CFLAGS@ @LIBNL3_CFLAGS@
+CFLAGS	 = @CFLAGS@ @LIBNL3_CFLAGS@
 CPPFLAGS ?= @CPPFLAGS@
 LDFLAGS  ?= @LDFLAGS@
 DEFS	 ?= @DEFS@
@@ -25,8 +25,7 @@
 DOCS	= README.md NEWS THANKS AUTHORS COPYING ChangeLog
 
 %.o: %.c $(HEADERS)
-	@echo ' CC  ' $<
-	@$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(DEFS) -c -o $@ $<
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(DEFS) -c -o $@ $<
 
 all: @PACKAGE_NAME@
 @PACKAGE_NAME@: $(MAIN) $(OBJS)
